// JoystickDemoDlg.h : header file
//

#if !defined(AFX_JOYSTICKDEMODLG_H__53AA2313_BBB5_4D9D_AD57_0975B0CBBD49__INCLUDED_)
#define AFX_JOYSTICKDEMODLG_H__53AA2313_BBB5_4D9D_AD57_0975B0CBBD49__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DIJoystick.h"

/////////////////////////////////////////////////////////////////////////////
// CJoystickDemoDlg dialog

class CJoystickDemoDlg : public CDialog
{
// Construction
public:
	CJoystickDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CJoystickDemoDlg)
	enum { IDD = IDD_JOYSTICKDEMO_DIALOG };
		// NOTE: the ClassWizard will add data members here
	CComboBox	m_ctlButtonNames;
	CComboBox	m_ctlJoystickName;
	BOOL	m_Down;
	BOOL	m_Fire;
	BOOL	m_Left;
	BOOL	m_Right;
	BOOL	m_Up;
	CString	m_XAxis;
	CString	m_YAxis;
	CString	m_ZAxis;
	CString	m_FireText;
	CString	m_RXAxis;
	CString	m_RYAxis;
	CString	m_RZAxis;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CJoystickDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CJoystickDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeButtonNames();
	virtual void OnCancel();
	afx_msg void OnButton1();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSelchangeJoystickName();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	int m_Buttons;	// how many buttons does the device have?
};

extern CDIJoystick myJoystick1;

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_JOYSTICKDEMODLG_H__53AA2313_BBB5_4D9D_AD57_0975B0CBBD49__INCLUDED_)
